Package com.massivecraft.factions.zcore.fperms

## Class DefaultPermissions

- java.lang.Object
- - com.massivecraft.factions.zcore.fperms.DefaultPermissions

    public class DefaultPermissions
    extends java.lang.Object

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`boolean` | `access` |
`boolean` | `ban` |
`boolean` | `build` |
`boolean` | `button` |
`boolean` | `check` |
`boolean` | `chest` |
`boolean` | `container` |
`boolean` | `destroy` |
`boolean` | `disband` |
`boolean` | `door` |
`boolean` | `fly` |
`boolean` | `frostwalk` |
`boolean` | `home` |
`boolean` | `invite` |
`boolean` | `items` |
`boolean` | `kick` |
`boolean` | `lever` |
`boolean` | `painbuild` |
`boolean` | `promote` |
`boolean` | `sethome` |
`boolean` | `setwarp` |
`boolean` | `spawner` |
`boolean` | `territory` |
`boolean` | `tntbank` |
`boolean` | `tntfill` |
`boolean` | `vault` |
`boolean` | `warp` |
`boolean` | `withdraw` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`DefaultPermissions()` |
`DefaultPermissions​(boolean def)` |

`DefaultPermissions​(boolean canBan, boolean canBuild, boolean canDestory, boolean canFrostwalk, boolean canPainbuild, boolean canDoor, boolean canButton, boolean canLever, boolean canContainer, boolean canInvite, boolean canKick, boolean canItems, boolean canSethome, boolean canTerritory, boolean canAccess, boolean canHome, boolean canDisband, boolean canPromote, boolean canSetwarp, boolean canWarp, boolean canFly, boolean canVault, boolean canTntbank, boolean canTntfill, boolean canWithdraw, boolean canChest, boolean canCheck, boolean canSpawners)`

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getbyName​(java.lang.String name)` | Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ban

    public boolean ban

#### build

    public boolean build

#### destroy

    public boolean destroy

#### frostwalk

    public boolean frostwalk

#### painbuild

    public boolean painbuild

#### door

    public boolean door

#### button

    public boolean button

#### lever

    public boolean lever

#### container

    public boolean container

#### invite

    public boolean invite

#### kick

    public boolean kick

#### items

    public boolean items

#### sethome

    public boolean sethome

#### territory

    public boolean territory

#### access

    public boolean access

#### home

    public boolean home

#### disband

    public boolean disband

#### promote

    public boolean promote

#### setwarp

    public boolean setwarp

#### warp

    public boolean warp

#### fly

    public boolean fly

#### vault

    public boolean vault

#### tntbank

    public boolean tntbank

#### tntfill

    public boolean tntfill

#### withdraw

    public boolean withdraw

#### chest

    public boolean chest

#### check

    public boolean check

#### spawner

    public boolean spawner

### Constructor Detail

#### DefaultPermissions

    public DefaultPermissions()

#### DefaultPermissions

    public DefaultPermissions​(boolean def)

#### DefaultPermissions

    public DefaultPermissions​(boolean canBan,
                              boolean canBuild,
                              boolean canDestory,
                              boolean canFrostwalk,
                              boolean canPainbuild,
                              boolean canDoor,
                              boolean canButton,
                              boolean canLever,
                              boolean canContainer,
                              boolean canInvite,
                              boolean canKick,
                              boolean canItems,
                              boolean canSethome,
                              boolean canTerritory,
                              boolean canAccess,
                              boolean canHome,
                              boolean canDisband,
                              boolean canPromote,
                              boolean canSetwarp,
                              boolean canWarp,
                              boolean canFly,
                              boolean canVault,
                              boolean canTntbank,
                              boolean canTntfill,
                              boolean canWithdraw,
                              boolean canChest,
                              boolean canCheck,
                              boolean canSpawners)

### Method Detail

#### getbyName

    @Deprecated
    public boolean getbyName​(java.lang.String name)

Deprecated.